%{
/*************************************************************************
 * conv -- ե뤫εҤ餷õƽ
 *
 * usage: ./conv < infile > outfile
 */

#include <ctype.h>
int length = 0;
int atox(char *str);
%}
%s START DEC HEX
%%
<START>\/cjk		{ /*printf("CJK\n");*/ BEGIN HEX; length = 0;}
<START>\/\.notdef	{ /*printf("NOTDEF\n");*/ printf("notdef,"); BEGIN DEC; length = 0;}
<DEC>[0-9]+	{ length = atoi(yytext); /*printf("NUMBER: %d\n", length);*/}
<HEX>[0-9A-F]+	{ /*printf("HEXNUMBER %04x\n", atox(yytext));*/ printf("%04x,", atox(yytext)); BEGIN DEC;}
-\|		{ /*printf("start\n");*/
			input(); /* skip white space */
			{int i;
				for(i=0;i<length;i++) {
					printf("%02x", input());
				}
				printf("\n");
			}
			input(); /* skip white space */
		}
\|-		{ /*printf("end\n");*/ BEGIN START;}
.|\n		{ /* empty */ }

%%
